# Copyright 2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit cmake

DESCRIPTION="LXQt DBusMenu Implementation"
HOMEPAGE="https://lxqt-project.org/"

if [[ ${PV} = 9999 ]]; then
	inherit git-r3
	EGIT_REPO_URI="https://github.com/lxqt/${PN}.git"
else
	SRC_URI="https://github.com/lxqt/${PN}/releases/download/${PV}/${P}.tar.xz"
	KEYWORDS="~amd64 ~arm64 ~riscv"
fi

LICENSE="LGPL-2"
SLOT="0"

RDEPEND=">=dev-qt/qtbase-6.6:6[dbus,widgets]"

PATCHES=( "${FILESDIR}/${PN}-0.1.0-cmake.patch" )
